Get a booking form field by ID
curl --request GET \
--url https://api.letsdothis.com/v0/booking-form-fields/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.letsdothis.com/v0/booking-form-fields/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.letsdothis.com/v0/booking-form-fields/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "6651a3e8f2b47c0019d3a8d4",
"publicId": "tshirt-size",
"type": "SELECT",
"name": "T-shirt size",
"nameByLocale": {
"en-GB": "T-shirt size"
},
"required": true,
"options": [
{
"id": "6651a3e8f2b47c0019d3a8e1",
"label": "Small",
"labelByLocale": {
"en-GB": "Small"
}
},
{
"id": "6651a3e8f2b47c0019d3a8e2",
"label": "Medium",
"labelByLocale": {
"en-GB": "Medium"
}
},
{
"id": "6651a3e8f2b47c0019d3a8e3",
"label": "Large",
"labelByLocale": {
"en-GB": "Large"
}
}
]
}{
"statusCode": 404,
"error": "<string>",
"message": "<string>"
}Booking form fields
Get a booking form field by ID
Returns one of your booking form fields.
GET
/
v0
/
booking-form-fields
/
{id}
Get a booking form field by ID
curl --request GET \
--url https://api.letsdothis.com/v0/booking-form-fields/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.letsdothis.com/v0/booking-form-fields/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.letsdothis.com/v0/booking-form-fields/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "6651a3e8f2b47c0019d3a8d4",
"publicId": "tshirt-size",
"type": "SELECT",
"name": "T-shirt size",
"nameByLocale": {
"en-GB": "T-shirt size"
},
"required": true,
"options": [
{
"id": "6651a3e8f2b47c0019d3a8e1",
"label": "Small",
"labelByLocale": {
"en-GB": "Small"
}
},
{
"id": "6651a3e8f2b47c0019d3a8e2",
"label": "Medium",
"labelByLocale": {
"en-GB": "Medium"
}
},
{
"id": "6651a3e8f2b47c0019d3a8e3",
"label": "Large",
"labelByLocale": {
"en-GB": "Large"
}
}
]
}{
"statusCode": 404,
"error": "<string>",
"message": "<string>"
}Authorizations
Response
The booking form field.
A booking form field definition — the type, label, options, and required-ness of a single question a booker is asked.
The type of a booking form field, determining how it is rendered and what answer it collects.
Available options:
TEXT, TEXT_AREA, EMAIL, PHONE_NUMBER, ADDRESS, DATE, DURATION, SELECT, GROUP_SELECT, RADIO_BUTTONS, CHECK_BOXES, WAIVER, CUSTOM_COMPONENT, CHARITY_MARKETING_OPT_INS, HTML How to express an answer for this field in an import payload, and how to find it again on booking reads.
Show child attributes
Show child attributes
Example:
{
"placement": "participant",
"answerShape": "keyedValues",
"subKeys": [
"addressLine1",
"addressLine2",
"addressLineCity",
"addressLineCounty",
"addressLineCountry",
"addressLinePostcode"
]
}
Was this page helpful?

